LIKWID-SETFREQUENCIES(1)

NAME
likwid-setFrequencies - print and manage the clock frequency of CPU cores

SYNOPSIS
likwid-setFrequencies [-hvplmp] [-c <cpu_list>] [-g <governor>] [-f,--freq <frequency>] [-x,--min <min_freq>] [-y,--max <max_freq>]

DESCRIPTION
likwid-setFrequencies is a command line application to set the clock frequency of CPU cores. Since only priviledged users are allowed to change the frequency of CPU cores, the application works in combination with a daemon likwid-setFreq(1). The daemon needs the suid permission bit to be set in order to manipulate the sysfs entries. With likwid-setFrequencies the clock of all cores inside a the cpu_list or affinity domain can be set to a specific frequency or governor at once. likwid-setFrequencies works only with the kernel module acpi-cpufreq. The recent intel_pstate module does not allow to set fixed frequencies. In order to deactivate intel_pstate add 'intel_pstate=disable' to your kernel boot commandline (commonly in grub) and load the acpi-cpufreq module.

OPTIONS

-h  prints a help message to standard output, then exits.

-p  prints the current frequencies for all CPU cores

-l  prints all configurable frequencies

-m  prints all configurable governors

-c <cpu_list>
    set the affinity domain where to set the frequencies. Common are N (Node), SX (Socket X), CX (Cache Group X) and MX (Memory Group X). For detailed information about affinity domains see likwid-pin(1)

-g <governor>
    set the governor of all CPU cores inside the affinity domain. Current governors are ondemand, performance, turbo. Default is ondemand

-f, --freq <frequency>
    set a fixed frequency at all CPU cores inside the affinity domain. Implicitly sets userspace governor for the cores.

-x, --min <min_freq>
    set a fixed minimal frequency at all CPU cores inside the affinity domain. Can be used in combination with a dynamic governor.

-y, --max <max_freq>
    set a fixed maximal frequency at all CPU cores inside the affinity domain. Can be used in combination with a dynamic governor.

AUTHOR
Written by Thomas Roehl <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-pin(1), likwid-perfctr(1), likwid-powermeter(1)